#!/bin/sh
## Read the MD5 of the different binaries used by the test
##
##	This is intended to know which version of the test and its files we are using
##
##
## Authors: 
##	- Benoit Rat (Seven Solutions, www.sevensols.com)
##
## GNU Lesser General Public License Usage
## This file may be used under the terms of the GNU Lesser
## General Public License version 2.1 as published by the Free Software
## Foundation and appearing in the file LICENSE.LGPL included in the
## packaging of this file.  Please review the following information to
## ensure the GNU Lesser General Public License version 2.1 requirements
## will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
#######################################################################################################

printf "======: $0\n"
. 000-functions.sh

uname -a
ret0=$?
printf "MAC="$(ifconfig | grep 'eth0'    | tr -s ' '    | cut -d ' ' -f5)"\n" 
ret1=$?

printf "printing md5sum the loading file:\n"
md5sum "$(which load-virtex)"
ret2=$?
md5sum "$(which load-lm32)"
ret3=$?

md5sum /wr/lib/firmware/8ports_mb.bin
ret4=$?
md5sum /wr/lib/firmware/rt_cpu.bin
ret5=$?

printf "printing md5sum of the binaries:\n"
md5sum bin/*
ret6=$?

exit_multierr $ret0 $ret1 $ret2 $ret3 $ret4 $ret5 $ret6

